<?php
if (!defined("ROOT_PATH"))
{
	header("HTTP/1.1 403 Forbidden");
	exit;
}
class pjProductModModel extends pjAppModel
{
	protected $primaryKey = 'id';
	
	protected $table = 'models';
	
	protected $schema = array(
		array('name' => 'id', 'type' => 'int', 'default' => ':NULL'),
		array('name' => 'product_id', 'type' => 'int', 'default' => ':NULL'),
		array('name' => 'source_path', 'type' => 'varchar', 'default' => ':NULL'),
		array('name' => 'thumb_path', 'type' => 'varchar', 'default' => ':NULL')
	);
	
	public $i18n = array('model_name', 'description');
	
	public static function factory($attr=array())
	{
		return new pjProductModModel($attr);
	}
}
?>